New stable and testing packages for opsi 4.0 and 4.1

Benutzeravatar
d.oertel
Beiträge: 3242
Registriert: 04 Jun 2008, 14:27

New stable and testing packages for opsi 4.0 and 4.1

Beitragvon d.oertel » 17 Jul 2018, 20:41

Dear opsi users,

we have now some new packages for opsi 4.0 and opsi 4.1 in stable and testing.

Some notes to the packages:
----------------------------------------------
opsi-client-agent:
Since opsi-client-agent (4.1.0.0-2) the opsi-notifier was compiled with HighDPI support.
As have seen now this HighDPI support was partly broken under Windows 7.
This leads to the situation, that notifier buttons were not visible and usable.
If you have such a situation rollout the following versions:
* opsi-winst 4.12.0.24
* opsi-client-agent (4.1.0.0-14)
directly to your productiv systems.
These new versions have still HighDPI Support, but not for Windows 7.

The new opsi-client-agent has now two variants of the service_setup.cmd:

The old one appears with the name service_setup_NT5.cmd: and works up to Windows10 1709.
Installation instructions: Logon as Administrator and start the script elevated
(right mouse click: as Administrator)

The new has the name service_setup.cmd: and works starting with Windows 7.
Installation instructions: Logon as Administrator and start the script with double click.
(That means: do not start it elevated). After all files are copied
to a temporary local directory, the installation process it self
will be started elevated (by powershell) and a UAC dialog will appear
and should be confirmed.

opsi-vhd-win10-x64:
There is the property windows_vhd_size. The size given by
this property will be shortened until the remaining free space
to create the child VHD is at least 25 GB.

opsi-linux-client-agent:
* Now real opsiclientd support for Debian 9 and UCS4.3
(Please note: opsi is still not (!) released for UCS 4.3)

opsi-doc-generator und asciidoctor:
The opsi-doc-generator is a tool to generate from well commented opsi-script
library files automatically Asciidoc Documentations which can be converted to html/ePub/PDF/..
The opsi-doc-generator is documented at the new opsi-winst / opsi-script manual.
The opsi-doc-generator works at Linux and at Windows.
If you work with Windows you should also install the asciidoctor package.

#####################################
As testing we publish:

Windows netboot packages:

* Windows NT6 windows (4.1.0.0-10)

Windows localboot packages:

* opsi-winst 4.12.0.23
* opsi-client-agent (4.1.0.0-14)
* opsi-wim-capture (4.1.0.1-4)
* swaudit (4.1.0.0-2)
* hwaudit (4.1.0.3-1)

opsi-linux packages:

Linux netboot packages:

* debian8 4.1.0.0-1

Linux localboot packages:

* opsi-linux-client-agent (4.1.0.5-2)
* swaudit (4.1.0.0-2)
* l-opsi-server 4.1.1.7-3

opsi-local-image / opsi-vhd:

* Windows NT6 windows (4.1.0.0-10)
* opsi-vhd-win10-x64 (4.1.0.0-10)
* opsi-local-image-prepare (4.1.0.0-5)
* opsi-local-image-delimage (4.1.0.0-2)

Server packages:
opsi 4.0:
none

opsi 4.1:
none


#####################################
As stable we publish:

Windows netboot packages:

* opsi-clonezilla (4.1.0.0-1)
* Windows NT6 windows (Std) (4.1.0.0-9)

Windows localboot packages:

* Windows 10 Upgrade (18.03-4)
* opsi-logviewer (3.1-7)

opsi-linux packages:

Linux netboot packages:

* opsi-clonezilla (4.1.0.0-1)

Linux localboot packages:

* opsi-logviewer (3.1-7)
* l-opsi-server 4.1.1.7-1


opsi-local-image / opsi-vhd:

* Windows NT6 windows (OLI/VHD) (4.1.0.0-8)

Server packages:
opsi 4.0:
none

opsi 4.1:
none

Misc:
nichts

########################
As contribute we publish:
(https://download.uib.de/opsi4.1/contribute/)

Windows localboot packages:

* opsi-doc-generator (4.1.0.0-2)
* asciidoctor (1.0.0-1)


Linux localboot packages:

* opsi-doc-generator (4.1.0.0-2)


########################

detlef oertel


Changelogs:
=============================
windows (4.1.0.0-10) stable; urgency=low

* nt6.py: oli: uefi: delete uefi windows bootentry before changing partition id
* nt6.py: uefi: after every efibootmgr create opsitempwinpe an additional setFirstUefiBoot('opsitempwinpe')
* nt6.py: uefi: after every efibootmgr create opsitempwinpe an additional setNextUefiBoot('opsitempwinpe')
* nt6.py: vhd: Minimum Free space for Child VHD is set to 25GB (=25600MB) to avoid problems
* nt6.py: fix and log property value of debug_cmd_inpe
* nt6.py: cat drvloadlist_org.txt to log file
* nt6.py: fix open drvload_list with mode = a

-- Detlef Oertel <d.oertel@uib.de> Fr, 06 Jul 2018:15:00:00 +0200

windows (4.1.0.0-9) stable; urgency=low

* added command to block admin access during client-agent installation

-- Mathias Radtke <m.radtke@uib.de> Wed Jun 20 09:38:16 2018 +0200
=============================
opsi-client-agent (4.1.0.0-14) stable; urgency=low

* update to notifier 4.1.0.1: No High DPI Support foe Win7 (did not work correctly)
* update to opsiscript 4.2.0.23: No High DPI Support foe Win7 (did not work correctly)

-- Detlef Oertel <d.oertel@uib.de> Thu, 12 Jul 2018:15:00:00 +0200

opsi-client-agent (4.1.0.0-13) stable; urgency=low

* service_setup_nt5.cmd: old service_setup.cmd for NT5 which have to be started elevated

-- Detlef Oertel <d.oertel@uib.de> Tue, 10 Jul 2018:15:00:00 +0200

opsi-client-agent (4.1.0.0-12) stable; urgency=low

* editable start menue folder for kiosk

-- Rupert Roeder <r.roeder@uib.de> Thu, 14 Jun 2018:15:00:00 +0200

=============================
opsi-winst/opsi-script (4.12.0.23) stable; urgency=low

* switch High DPI support off for Win7 (did not work correctly)

-- Detlef Oertel <d.oertel@uib.de> Thu, 12 Jul 2018:15:00:00 +0200

opsi-winst/opsi-script (4.12.0.22) stable; urgency=low

* osparser: doAktionen: importlib; remove double call of
Script.FSectionNameList.Add(importFunctionName) fixes #3560
* OsDefinedFunction.parseCallParameter: fixes #3569

* lib/uib_backend.opsiscript: more documentation

-- Detlef Oertel <d.oertel@uib.de> Wed, 06 Jun 2018:15:00:00 +0200

=============================
opsi-local-image-prepare (4.1.0.0-5) stable; urgency=low

* fix sgdisk --zap on mbr boxes

-- detlef oertel <d.oertel@uib.de> Fri, 04 May 2018 15:00:00 +0200

=============================
opsi-local-image-delimage (4.1.0.0-2) stable; urgency=low

* List usage of backup partition before delete
* disk and partition handling from oli-restore.py

-- detlef oertel <d.oertel@uib.de> Fri, 13 Jul 2018 15:00:00 +0200
=============================
opsi-wim-capture (4.1.0.1-4) stable; urgency=low

* new property winpe_debug_cmd_exe
* new property no_reboot_in_pe
* capture.opsiscript: fixes on clonezilla restore

-- detlef oertel <d.oertel@uib.de> Fri, 13 Jul 2018 15:00:00 +0000

opsi-wim-capture (4.1.0.1-3) stable; urgency=low

* fix capture.opsiscript: fix double authenticate

-- detlef oertel <d.oertel@uib.de> Thu, 05 Jul 2018 15:00:00 +0000

=============================
windows10-upgrade (18.03-4) stable; urgency=low

* added Property oobe Fixes #3561 telemetry-questions during oobe

-- bardo wolf <b.wolf@uib.de> Tue 12 Jun 2018
=============================
opsi-logviewer (3.1-7) STABLE; urgency=medium

* ?

-- r.roeder <r.roeder@uib.de> mon, 04 Jun 12:00:00 + 0100

opsi-logviewer (3.1-2) STABLE; urgency=medium

* bundling java 8 and 10
* removed dependency, instead installation by opsiservicerequest
* logging in opsi default log directories

-- r.roeder <r.roeder@uib.de> mon, 30 Apr 12:00:00 + 0100

opsi-logviewer (3.0-0) STABLE; urgency=medium

* options for font sizing

-- r.roeder <r.roeder@uib.de> Mon, 16 Apr 12:00:00 + 0100

opsi-logviewer (2.3-4) STABLE; urgency=medium

* use startmenu folder opsi.org

-- r.roeder <r.roeder@uib.de> Mon, 16 Apr 12:00:00 + 0100


opsi-logviewer (2.3-2) STABLE; urgency=medium

* add startscripts to run from command line (W/L)
* experimental on Linux: add file manager context menu to various desktops / file mangers
* now requiredWinstVersion >= "4.11.6.2" (waitForPackageLock)

-- d.oertel <d.oertel@uib.de> Fri, 06 Oct 2017 15:00:00 + 0100

opsi-logviewer (2.3-2) STABLE; urgency=medium

* fix: use of $javaparamstring$ also at Linux

-- d.oertel <d.oertel@uib.de> Fri, 19 May 2017 15:00:00 + 0100

opsi-logviewer (2.3-1) STABLE; urgency=medium

* limit of 100000 chars is changed to a warning threshold, the actual limit now is Integer.MAX_VALUE (but be beware of heap space)

-- r.roeder <r.roeder@uib.de> Wed, 10 Nov 12:00:00 + 0100

=============================
swaudit (4.1.0.0-2) stable; urgency=low

* try to fix #2018062810000028 wmic fails with "Beschreibung = Ausnahmefehler aufgetreten." but powershell seems to work

-- bardo wolf <b.wolf@uib.de> Mon, 02 Jul 2018 09:26:01 +0100

=============================
hwaudit (4.1.0.3-1) stable; urgency=low

* Drop support for Windows 2000.
* Internal refactorings.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 06 Apr 2018 13:24:00 +0100

hwaudit (4.1.0.2-1) stable; urgency=low

* Log to C:\opsi.org\log if the directory exists.
Fallback is to log to C:\tmp\ - as before.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 06 Apr 2018 13:24:00 +0100

hwaudit (4.1.0.1-1) stable; urgency=low

* Internal refactoring.
* Debug log contains more information about failed methods / operations.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 06 Apr 2018 13:18:00 +0100

hwaudit (4.1.0.0-1) stable; urgency=low

* fixed bug in condition matching

-- Mathias Radtke <m.radtke@uib.de> Tue, 20 Mar 2018 14:10:00 +0200

=============================
debian8 (4.1.0.0-1) testing; urgency=low

* updated kernel/initrd.gz

-- Mathias Radtke <m.radtke@uib.de> Thu Jun 28 13:25:00 +0200

=============================

l-opsi-server (4.1.1.7-3) stable; urgency=low

* Do not let empty shell variables lead to an syntax error.

-- Niko Wenselowski <n.wenselowski@uib.de> Wed, 11 Jul 2018 14:17:03 +0200

l-opsi-server (4.1.1.7-2); stable; urgency=low

* UCS: installing univention-mysql on UCS 4.3

-- Mathias Radtke <m.radtke@uib.de> Fri, 29 Jun 2018 10:10:00 +0200
=============================
opsi-linux-client-agent (4.1.0.5-2) stable; urgency=medium

* debian 9 opsiclientd support
* ucs 4.3 opsiclientd support

-- d.oertel <d.oertel@uib.de> Tue, 10 Jul 2018 15:00:00 + 0100

=============================
opsi-doc-generator (4.1.0.0-2) stable; urgency=medium

* minor fixes

-- d.oertel <d.oertel@uib.de> Fri, 06 Jul 2018 15:00:00 + 0100

opsi-doc-generator (4.1.0.0-1) stable; urgency=medium

* fix for @References
* logging via oslog
* use fileinfo for version

-- d.oertel <d.oertel@uib.de> Wed, 27 Jun 2018 15:00:00 + 0100

opsi-doc-generator 1.0

* initial

d.oertel@uib.de 17.4.2018

=============================
asciidoctor (1.0.0-1) stable; urgency=low

* inital

-- detlef oertel <d.oertel@uib.de> Wed, 18 Apr 2018 15:00:00 +0100

=============================
opsi support - uib gmbh

For productive opsi installations we recommend support contracts.
http://www.uib.de
http://www.opsi.org